<?php


namespace Service;

use Util\InstanceProvider;
use Zeedhi\Framework\Session\Session;
use \Util\Utilities;

class Resource
{
    /**
     * @var Utilities
     */
    private $environment;
    /**
     * @var Session
     */
    private $sessionManager;

    public function __construct(Utilities $environment, Session $sessionManager)
    {
        $this->environment = $environment;
        $this->sessionManager = $sessionManager;
    }

    public function setSessionByCdOperador($cdOperador)
    {

        if($cdOperador){
            /** @var Entities\Resource $currentResource */
            $resourceRepository = InstanceProvider::getRepository()->getResource();
            $currentResource = $resourceRepository->findOneBy(array('externalCode' => $this->environment->getCurrentCdoperador()));
            $this->sessionManager->set('organizationId', $currentResource->getOrganization());
            $this->sessionManager->set('userId', $currentResource->getId());
        }
    }

    public function findAllEmployeeTaskTracking()
    {
        $organizationId = $this->environment->getCurrentOrganizationId();
        $return = InstanceProvider::getRepository()->getLocalResource()->findAllEmployeeTaskTracking($organizationId);
        return $return;
    }

    public function findAllStructureManagersTaskTracking()
    {
        $organizationId = $this->environment->getCurrentOrganizationId();
        $return = InstanceProvider::getRepository()->getLocalResource()->findAllStructureManagersTaskTracking($organizationId);
        return $return;
    }
}